local rectangle = {}

function rectangle.inherit(args)
	local self = {
		w = args.w or 10,
		h = args.h or 10,
		color = {50,255,50} -- make rectangles green
	}

	function self:draw()
		love.graphics.setColor(self.color)
		love.graphics.rectangle("fill", self.x, self.y, self.w, self.h)
	end
	
	return self
end

return rectangle