local circle = {}

function circle.inherit(args)
	local self = {
		r = args.r or 10,
		color = {255,50,50} -- make circles red
	}

	function self:draw()
		love.graphics.setColor(self.color)
		love.graphics.circle("fill", self.x, self.y, self.r)
	end
	
	return self
end

return circle